View Issue Details

IDProjectCategoryView StatusLast Update
0001153VariiSpace[All Projects] Generalpublic2017-04-01 21:42
ReporterXenosAssigned ToXenos 
PrioritynormalSeverityfeatureReproducibilityN/A
Status CloseResolutionfixed 
Product Version1.0.0-a.0 
Target VersionFixed in Version0.1.0 
Summary0001153: Créer le système de compte de jeu, avec la vue associée
DescriptionIl faut qu'un joueur puisse avoir un compte de jeu avec pseudo, mail et pass (rien de plus pour le moment), ainsi qu'une page permettant de modifier ces informations, de récupérer son MDP s'il est perdu (je ferai comme pour MTA), une autre pour se connecter, une pour s'inscrire et enfin, la possibilité de se déconnecter (attention aux CSRF avec toutes ces pages).
TagsNo tags attached.
Attach Tags

Relationships

related to 0001515 CloseXenos Common Trouver une meilleure archi pour la session PHP 
related to 0001514 CloseXenos Common Les tests de BDD perturbent la BDD locale 
related to 0001516 CloseXenos VariiSpace Mettre en place un anti-CSRF 
child of 0001157 CloseXenos VariiSpace Vue listant les blueprints dont on dispose 
child of 0001159 CloseXenostom VariiSpace Mécanisme d'arrivée des nouveaux joueurs 
child of 0001158 CloseXenos VariiSpace Permettre aux joueurs de construire les vaisseaux 
child of 0001155 CloseXenos VariiSpace Pouvoir assembler les modules en vaisseaux 
child of 0001517 CloseXenos VariiSpace Créer les tests de la gestion de compte 
child of 0001518 CloseXenostom VariiSpace Réarchitecturer les codes 

Activities

Xenos

Xenos

2016-08-18 22:41

administrator   ~0002158

Rollback de ce ticket car la structure générale (archi de "Common") a changée. Il va donc falloir faire le plus progressif possible, avec une release dans les plus brefs délais (en "lecture seul", comme pour ECLERD).
Xenos

Xenos

2016-08-28 18:48

administrator   ~0002198

A refaire car perdu lors de la release primale
Xenos

Xenos

2017-04-01 21:42

administrator   ~0003119

Fait dans le 0002114 (MVP)

Issue History

Date Modified Username Field Change
2016-04-24 21:23 Xenos New Issue
2016-04-24 21:23 Xenos Status New => Accepted
2016-04-24 21:51 Xenos Relationship added child of 0001157
2016-04-24 21:52 Xenos Relationship added child of 0001159
2016-04-24 21:53 Xenos Relationship added child of 0001158
2016-05-23 16:19 Xenostom Assigned To => Xenostom
2016-05-23 16:19 Xenostom Status Accepted => In progress
2016-05-31 16:14 Xenos Relationship added child of 0001155
2016-05-31 17:19 Xenos Relationship added related to 0001515
2016-05-31 17:19 Xenos Relationship added related to 0001514
2016-05-31 19:04 Xenos Relationship added related to 0001516
2016-05-31 19:07 Xenos Relationship added child of 0001517
2016-05-31 19:07 Xenos Relationship added child of 0001518
2016-05-31 19:21 Xenos Status In progress => Ready
2016-05-31 19:21 Xenos Resolution open => fixed
2016-08-18 22:41 Xenos Status Ready => Accepted
2016-08-18 22:41 Xenos Note Added: 0002158
2016-08-27 19:39 AutoUpdater Assigned To Xenostom => Xenos
2016-08-27 19:39 AutoUpdater Status Accepted => Resolved
2016-08-27 19:39 AutoUpdater Fixed in Version => 0.1.0
2016-08-28 18:48 Xenos Note Added: 0002198
2016-08-28 18:48 Xenos Status Resolved => Understood
2017-04-01 21:42 Xenos Status Understood => Close
2017-04-01 21:42 Xenos Note Added: 0003119